Log4j 1.2.7

## org.apache.log4j.helpers
Class PatternConverter

    java.lang.Object
      |
      +--org.apache.log4j.helpers.PatternConverter

public abstract class PatternConverter
extends Object

PatternConverter is an abtract class that provides the formatting functionality that derived classes need.

Conversion specifiers in a conversion patterns are parsed to individual PatternConverters. Each of which is responsible for converting a logging event in a converter specific manner.

Since:
  0.8.2
Author:
  James P. Cakalic, Ceki Gülcü

Field Summary
`PatternConverter` `next`

Constructor Summary
`protected` `PatternConverter()`
`protected` `PatternConverter(FormattingInfo fi)`

Method Summary
`protected abstract String` `convert(LoggingEvent event)` Derived pattern converters must override this method in order to convert conversion specifiers in the correct way.
`void` `format(StringBuffer sbuf, LoggingEvent e)` A template method for formatting in a converter specific way.
`void` `spacePad(StringBuffer sbuf, int length)` Fast space padding method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### next

    public PatternConverter next

Constructor Detail

### PatternConverter

    protected PatternConverter()

### PatternConverter

    protected PatternConverter(FormattingInfo fi)

Method Detail

### convert

    protected abstract String convert(LoggingEvent event)

  Derived pattern converters must override this method in order to convert conversion specifiers in the correct way.

### format

    public void format(StringBuffer sbuf,
                       LoggingEvent e)

  A template method for formatting in a converter specific way.

### spacePad

    public void spacePad(StringBuffer sbuf,
                         int length)

  Fast space padding method.

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.